### Hierarchy

- OfferRankManagerImpl

### Implements

- OfferRankManager

## Index

### Constructors

- constructor

### Methods

- create
- delete
- getById
- getByOfferId
- getByOfferIdAndRankId
- update

## Constructors

### constructor

- new OfferRankManagerImpl(offerRankRepository: OfferRankRepository): OfferRankManagerImpl

- - Defined in manager/OfferRankManagerImpl.ts:5

  #### Parameters

  - ##### offerRankRepository: OfferRankRepository

  #### Returns OfferRankManagerImpl

## Methods

### create

- create(rank: number, rankerId: string, offerId: number): Promise<OfferRank>

- Implementation of OfferRankManager.create

  - Defined in manager/OfferRankManagerImpl.ts:21

  #### Parameters

  - ##### rank: number

  - ##### rankerId: string

  - ##### offerId: number

  #### Returns Promise<OfferRank>

### delete

- delete(offerRankId: number): Promise<number>

- Implementation of OfferRankManager.delete

  - Defined in manager/OfferRankManagerImpl.ts:30

  #### Parameters

  - ##### offerRankId: number

  #### Returns Promise<number>

### getById

- getById(offerRankId: number): Promise<OfferRank>

- Implementation of OfferRankManager.getById

  - Defined in manager/OfferRankManagerImpl.ts:17

  #### Parameters

  - ##### offerRankId: number

  #### Returns Promise<OfferRank>

### getByOfferId

- getByOfferId(offerId: number): Promise<Array<OfferRank>>

- Implementation of OfferRankManager.getByOfferId

  - Defined in manager/OfferRankManagerImpl.ts:13

  #### Parameters

  - ##### offerId: number

  #### Returns Promise<Array<OfferRank>>

### getByOfferIdAndRankId

- getByOfferIdAndRankId(offerId: number, rankerId: string): Promise<OfferRank>

- Implementation of OfferRankManager.getByOfferIdAndRankId

  - Defined in manager/OfferRankManagerImpl.ts:9

  #### Parameters

  - ##### offerId: number

  - ##### rankerId: string

  #### Returns Promise<OfferRank>

### update

- update(offerRank: OfferRank): Promise<OfferRank>

- Implementation of OfferRankManager.update

  - Defined in manager/OfferRankManagerImpl.ts:26

  #### Parameters

  - ##### offerRank: OfferRank

  #### Returns Promise<OfferRank>

Generated using TypeDoc